Show / Hide Table of Contents

# AsyncBeforeTransformParentChangedTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncBeforeTransformParentChangedTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncBeforeTransformParentChangedTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnBeforeTransformParentChangedAsyncHandler() |
GetOnBeforeTransformParentChangedAsyncHandler(CancellationToken) |
OnBeforeTransformParentChangedAsync() |
OnBeforeTransformParentChangedAsync(CancellationToken) |

### Methods

#### GetOnBeforeTransformParentChangedAsyncHandler()

    public IAsyncOnBeforeTransformParentChangedHandler GetOnBeforeTransformParentChangedAsyncHandler()

##### Returns

IAsyncOnBeforeTransformParentChangedHandler

#### GetOnBeforeTransformParentChangedAsyncHandler(CancellationToken)

    public IAsyncOnBeforeTransformParentChangedHandler GetOnBeforeTransformParentChangedAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnBeforeTransformParentChangedHandler

#### OnBeforeTransformParentChangedAsync()

    public UniTask OnBeforeTransformParentChangedAsync()

##### Returns

UniTask

#### OnBeforeTransformParentChangedAsync(CancellationToken)

    public UniTask OnBeforeTransformParentChangedAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>